Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510548 - Middleware - EAP Server - No Utilization data available
Summary: Middleware - EAP Server - No Utilization data available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.10.0
Assignee: Alberto Gutierrez
QA Contact: Hayk Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks: 1510468 1524706
TreeView+ depends on / blocked
 
Reported: 2017-11-07 16:23 UTC by Hayk Hovsepyan
Modified: 2018-03-30 17:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1524706 (view as bug list)
Environment:
Last Closed: 2018-01-08 14:25:35 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)

Description Hayk Hovsepyan 2017-11-07 16:23:57 UTC
Description of problem:
EAP Server Utilization page shows "No Utilization data available"

Version-Release number of selected component (if applicable):
5.9.0.4.20171024163837_ef71ea6

How reproducible:
always

Steps to Reproduce:
1. Start EAP7 from ZIP, configure Hawkular Wildfly agent on it to middleware provider.
2. In CFME UI go to Middleware Servers list. Select EAP7 server.
3. Open Monitoring -> Utilization page. " No Utilization data available"
But it fact metrics exists on H-Metrics side, they are returned by REST API for that feed_id.

Actual results:
No Utilization data available

Expected results:
Metrics should be shown.

Additional info:
Metrics exists in H-Metrics, they are available via REST API filtered by feed_id.
Utilization shows metrics for Hawkular Services itself.

Comment 2 Hayk Hovsepyan 2017-11-07 16:59:19 UTC
Issue also happens for EAP servers running in Container with configured Hawkular Javaagent.

Comment 3 Alberto Gutierrez 2017-11-09 11:06:12 UTC
Can you provide information about versions of hawkular-services,metrics,alerts... of your environment?

Comment 4 Hayk Hovsepyan 2017-11-09 11:48:39 UTC
CFME Version: 5.9.0.7.20171107212356_ed87902

Middleware Services is the DR2 build:

Middleware Manager Services: 	Running	0.40.0.Final-redhat-2 (commit d73a40ac9204c02097f72fcbdf8e41ec02aa4e64)	
Middleware Manager Metrics: 	Running	0.26.2.Final-redhat-2 (commit 628591bbbcec0d838095e8a44dec8f6824bfa7ea)	
Middleware Manager Alerts: 	Running	1.6.3.Final-redhat-1 (commit 914358fc2160f5fb7ede7df84259db213f7aa58f)

Comment 5 Alberto Gutierrez 2017-11-13 17:32:06 UTC
Hawkular team is working now in Hawkular-services 0.40.x like an active branch, being the lastest one, in this version the inventory is different and maybe some IDs changed, so try with older versions < 0.40 avoid use in lastest, last commit was 3 days ago they are still working on it.

Comment 6 Thomas Heute 2017-11-14 07:06:31 UTC
I'm confused about the latest comment.
DR2 is based of 0.40.x which is the right version to test.

Older versions are not supported.

Comment 7 Alberto Gutierrez 2017-11-14 09:22:55 UTC
I was talking with the team about, hawkular-services 0.40.x is the version with the new inventory and they are still working on it, some IDs of columns are different between prior releases and this one by the new inventory, so it's possible have errors in the actual miq UI, I am gonna check what are the erros with this version for this bug.

Comment 8 Thomas Heute 2017-11-14 09:36:28 UTC
The new inventory is not for this release, so it needs to be tested against the "old" inventory.

DR2 is supposed to ship the old inventory and this is taken from 0.40.x which is the version with the *old* inventory

Comment 9 Alberto Gutierrez 2017-11-14 09:40:28 UTC
Ok thomas. I am gonna test with Fine Release of CloudForms with:

Hawkular Services: 	Running	0.40.0.Final (commit fb4fc0edc403512711a14c4c67ec3becebe153dc)	
Hawkular Metrics: 	Running	0.26.2.Final (commit 09a20a815fc263ed6556f4cd176bf877114a9392)	
Hawkular Alerts: 	Running	1.6.3.Final (commit 6bb5d9cb21b003cdac4e441438ef96ee27f0efd9)	
Hawkular Inventory: 			Unavailable or starting

This is the same versions of reporter but the version of commits are different.

Comment 10 Alberto Gutierrez 2017-11-14 09:56:48 UTC
I can see Utilization chart of Middleware Server (JVM Heap Usage (Bytes),JVM Non Heap Usage (Bytes),GC Duration (ms),Web Sessions,Transactions,) with :

CloudForms Fine version
Hawkular Services: 	Running	0.40.0.Final (commit fb4fc0edc403512711a14c4c67ec3becebe153dc)	
Hawkular Metrics: 	Running	0.26.2.Final (commit 09a20a815fc263ed6556f4cd176bf877114a9392)	
Hawkular Alerts: 	Running	1.6.3.Final (commit 6bb5d9cb21b003cdac4e441438ef96ee27f0efd9)	

Where can I download your specific version ?

Comment 11 Hayk Hovsepyan 2017-11-14 13:04:07 UTC
It is happening on the same version you have tried, the DR2 version.

But it happens on the EAP7 standalone running server which is installed from ZIP.
And has classic Hawkular WildflyAgent installed on that EAP7 server and configured to send metrics to Middleware Manager.

Comment 12 Paul Gier 2017-12-06 16:11:03 UTC
Hayk can you retest this using DR3 and the latest CFME (5.9.0.11)?
Also are you running hawkular services in openshift using the upstream or downstream template?  And can you try with both standalone zip and using the EAP test images which include the latest agent:
docker-registry.engineering.redhat.com/pgier/eap64-openshift:CLOUD-2081
docker-registry.engineering.redhat.com/pgier/eap70-openshift:CLOUD-2081
docker-registry.engineering.redhat.com/pgier/eap71-openshift:CLOUD-2081

If the issue still exists, hopefully we can get enough info for Alberto to reproduce it.

Comment 13 Hayk Hovsepyan 2017-12-06 18:30:56 UTC
Have tested again on DR3 deployed on Openshift using the latest downstream template, also deploying it on RHEV VM using the docs https://mojo.redhat.com/docs/DOC-1155590-hawkular-qe-middleware-manager-testing-environment-preparation
Using EAP7 installed from ZIP or the latest EAP test images including the latest agent.

The issue still exists. It does not show metrics for EAP7 servers.
Metrics are only shown for Local Hawkular Server.

Comment 14 Alberto Gutierrez 2017-12-07 08:43:24 UTC
I am working on it. I created the environment and I see the same issue. I'll update the Bugzilla asap. Thanks Hayk

Comment 15 Alberto Gutierrez 2017-12-07 11:30:21 UTC
Hi,

This is the PR for fix the bug

https://github.com/ManageIQ/manageiq-ui-classic/pull/2976

Thanks.

Comment 16 Alberto Gutierrez 2017-12-08 10:13:54 UTC
The fix was merged


Note You need to log in before you can comment on or make changes to this bug.